Redmine - Defect #3807

text_journal_changed, text_journal_set_to, text_journal_deleted
2009-09-02 17:02 - alexander smishlajev

Status: Closed Start date: 2009-09-02
Priority: Normal Due date: 2009-09-05
Assignee: Azamat Hackimov % Done: 0%
Category: Translations Estimated time: 0.00 hour
Target version: 0.9.0

Resolution: Fixed Affected version:

Description

issues_helper.rb composes message strings for text_journal_changed, text_journal_set_to, and text_journal_deleted messages by
string concatenation, like this:

label + " " + 1 (:text_journal_changed, :0ld => old_value, :new => value)

This produces clumsy messages with russian translation.

The label should be moved to message arguments, and russian translations should be changed as follows:
text_journal_changed: "llapametrp '{{label}}' uamenen c {{old}} uHa {{new}}"

text_journal_deleted: "3uauenwe '{{label}}' ymaneno"
text_journal_set_to: "llapametrp '{{label}}' usmenen Ha {{value}}"

Associated revisions

Revision 2856 - 2009-09-05 00:28 - Azamat Hackimov
Changing 110n messages (fixes #3807)

History

#1 - 2009-09-02 19:45 - Azamat Hackimov
- File issues_helper.rb-fix.patch added
- Status changed from New to 7

- Assignee changed from Azamat Hackimov to Jean-Philippe Lang

OK, | created patch to solve this, but final decision will take Jean-Philippe.

#2 - 2009-09-03 05:09 - Eric Davis

Azamat Hackimov:

Looks good to me. We would need to change any other translation also, otherwise Rails might throw an exception from missing 118n arguments.

#3 - 2009-09-05 00:26 - Azamat Hackimov

- Due date set to 2009-09-05

- Status changed from 7 to Closed

- Assignee changed from Jean-Philippe Lang to Azamat Hackimov
- Target version set to 0.9.0

- Resolution set to Fixed

OK, patch now in tree.

Files

issues_helper.rb-fix.patch 3.15KB 2009-09-02 Azamat Hackimov
